@font-face {
    font-family: 'nunito';
    src: url("./fuentes/Nunito-SemiBold.ttf");
}

@font-face {
    font-family: 'nunito';
    src: url("./fuentes/Nunito-SemiBold.eot");
}

@font-face {
    font-family: 'nunito';
    src: url("../fuentes/Nunito-SemiBold.woff");
}

@font-face {
    font-family: 'nunitoitalic';
    src: url("./fuentes/Nunito-Italic-VariableFont_wght.ttf");
}

@font-face {
    font-family: 'nunitoitalic';
    src: url("../fuentes/Nunito-Italic-VariableFont_wght.eot");
}

@font-face {
    font-family: 'nunitoitalic';
    src: url("../fuentes/Nunito-Italic-VariableFont_wght.woff");
}

html{
    scroll-behavior: smooth;    
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.body {
    margin: 0 auto;
    max-width: 1500px;
    font-family: 'nunito';
    font-weight: bold;
    font-size: 18px;
    
}

.fuente{
    font-family: 'nunito';
}

/*-----------------MENU--------------*/

header {
    background-image: linear-gradient(#dfdfdf, #ffffff);
    /*box-shadow: #000 0px 0px 15px;*/
    border-bottom: #000 solid 1px;
    

}

nav {
    /*background: hsl(40, 97%, 54%) ;*/
    height: auto;
}

.redes {
    display: flex;
    justify-content: space-evenly;
    background-color: #242424;
    width: 100%;
    
}

.icons {
    list-style: none;
    font-size: 20px;
    width: 60%;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    padding: 10px 0px;
    color: #bbbaba;
}

.icons a {
    text-decoration: none;
    color: #fff;
    transition: .3s;
}

.icons a:hover {
    text-decoration: none;
    color: #3a6aad;
}


.nav__container {
    width: 90%;
    height: 100%;
    margin: 0 auto;
    display: flex;
    align-items: first baseline;
    justify-content: flex-end;
}

.nav__logo {
    display: none;
}

.nav__img {
    width: 30px;
    display: block;
}

.logo {
    width: 30%;
    padding: 10px;
    margin-right: 0px;
}

.logo img {
    width: 80%;
}


.list {
    width: 100%;
    right: 0;
    top: 80px;
    bottom: 0;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    position: unset;
    flex-direction: row;
    /*background: #fbae17;*/
    transform: unset;
    transition: none;
}


/*.nav:hover .list{
    transform: translate(0);
}*/
/*puro css*/



.list__item {
    list-style: none;
}

.list__link {
    text-transform: capitalize;
    color: #000;
    text-decoration: none;
    font-weight: 500;
    transition: 0.3s;
}

.list__link:hover {
    background-color:#284976;
    color: #fff;
    padding: 10px;
    border-radius: 5px;
}

.list_x{
    display: none;
}

/*------------MAIN--------------*/
.slider {
    height: 500px;
    overflow: hidden;
    /*display: flex;
    align-items: center;
    justify-content: center;*/
}
.slider img{
    margin-top: -20%;
    height: auto;
    width:max-content;
}
/*
.slider {
    left: 0;
    top: 0;
    width: 100%;
    height: 500px;
    animation: animate 16s ease-in-out infinite;
    background-size: 100% auto;
    background-position: 0px -50px;
}

@keyframes animate {

    0%,
    100% {
        background-image: url(/imgs/1.jpg);
    }

    33.33% {
        background-image: url(/imgs/2.jpg);
    }

    66.66% {
        background-image: url(/imgs/3.jpg);
    }

}
*/
.section {
    padding: 30px 5px 30px;
}

.titulos {
    display: block;
    width: 100%;
    margin-left: 5%;
    margin-bottom: 20px;
    text-transform: uppercase;
    font-size: 35px;

    background: -webkit-linear-gradient(#284976, #8B8088);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    color: tomato;


}

.main_container, .productos_container, .contacto_container {
    display: flex;
    justify-content: space-evenly;
    text-align: center;
    flex-wrap: wrap;
}

.producto_container{
    padding: 10px 30px;
    text-align: justify;
    min-height: 400px;     
}

#productos{
    background-color: #bbbaba;
}

#empresa{
    background: url(/img/icono_gris.png);
    background-repeat: no-repeat;
    background-position: center center;
    background-size: 70%;
}

#contacto{
    background-color: #bbbaba;
}

#productos, #empresa, #contacto{
    position: relative;
}
.btn_subir{
    position: absolute;
    top: 30px;
    right: 20px;
    background-color: #2c2c2c;
    border-radius: 5px;
    padding: 5px 10px;
    color: #fff;
    border: #284976 solid 1px;
    text-decoration: none;
    font-size: 16px;
}

.productos_container{
    row-gap: 10px;
}

#albee{
    background-image:url(../img/Albee.jpg);
}

#arcal{
    background-image:url(../img/arcal.jpg);
}

#acetileno{
    background-image:url(../img/Prod_Acetileno.jpeg);
}

#argon{
    background-image:url(../img/Prod_Argon.jpeg);
}

#co2{
    background-image:url(../img/Prod_CO2.jpeg);
}

#helio{
    background-image:url(../img/helio.jpg);
}

#n2{
    background-image:url(../img/Prod_Nitrogeno.jpeg);
}

#o2{
    background-image:url(../img/Prod_O2.jpeg);
}

#alambre{
    background-image:url(../img/alambre.jpg);
}

.box_producto{
    background-size: 100% auto;
    background-position: center center;
    background-repeat: no-repeat;
    width: 30%;
    min-width: 250px;
    min-height: 250px;
    background-color: #284976;
    border-radius: 10px;
    border: #ffffff solid 2px;
    color: #fff;
    overflow: hidden;
    transition: .5s;
    text-decoration: none;
    text-transform: uppercase;
    font-size: 20px;
   
}

.box_producto:hover{
    background-size: 110% auto;
    border: #284976 solid 2px;
}

.back{
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: rgba(0,0,0,0.6);
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}

.columna_empresa, .columna_contacto {
    width: 45%;
    padding: 10px 5px 10px 10px;
    text-align: justify;
}

.columna_empresa img {
    width: 90%;
    box-shadow: 5px 10px 10px #000;
    margin-left: 5%;
    margin-top: 20px;
    margin-bottom: 20px;
}

.columna_contacto{
   text-align: center;
   display: flex;
   flex-direction: column;
   align-items: center;
   row-gap: 20px;
}

.columna_contacto img{
    width: 30%;
}

.columna_contacto iframe{
    border-radius: 10px;
    box-shadow: 5px 10px 15px #2c2c2c;
}




/*--------/FOOTER--------------*/

.footer {
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;
    background-color: #242424;
    color: #dfdfdf;
}

.datos_footer {
    width: 30%;
    padding-top: 30px;
    padding-bottom: 30px;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    flex-wrap: wrap;
}

.datos_footer img {
    width: 40%;
}

.titulo_footer {
    display: block;
    width: 100%;
    text-align: center;
}

.datos_footer span {
    font-family: 'nunito';
}
.datos_footer a {
    text-decoration: none;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 20px;
    color: #bbbaba;
    transition: 0.3s;
}

.datos_footer a:hover {
    color: #3a6aad;
}

.pie_footer {
    width: 100%;
    text-align: center;
    font-size: 14px;
}

.wp {
    display: block;
    width: 50px;
    height: auto;
    position: fixed;
    right: 20px;
    bottom: 30px;
    z-index: 888;
}

.wp img {
    width: 100%;
}

/*-------MODALS---------*/
.modal_container{
    opacity: 0;
    visibility: hidden;
    position: fixed;
    z-index: 1000;
    width: 100%;
    height: 100vh;
    top: 0;
    left: 0;
    background: rgba(0,0,0,0.5);
    display: flex;
    justify-content: center;
    align-items: center;
}
.modal2{
    width: 40%;
    height: 50%;
    background: #fff;
    text-align: center;
    padding: 20px;
    border-radius: 10px;
    box-shadow: #000000 5px 5px 15px;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    position: relative;
    transition: transform 1s;
    transform: translateY(0%);
    /*overflow: hidden;*/
}

.close{
    position: absolute;
    top: 5px;
    right: 5px;
    display: inline-block;
    width: 25px;
    height: 25px;
    background-color: brown;
    color: #fff;
    line-height: 25px;
    cursor: pointer;
    border-radius: 50%;
}

.modal2-close{
    transform: translateY(-200%);
}


.modal2 p{
    text-align: justify;
}




@media(max-width:700px) {

    /*----------NAV---------------*/
    nav {
        height: auto;
    }

    .nav__container {
        justify-content: space-between;
        align-items: flex-start;
    }

    .logo {
        width: 50%;
        padding: 10px;
        margin-left: 30%;
    }

    .nav__logo {
        display: block;
        cursor: pointer;
        margin-top: 20px;
        font-size: 30px;
    }

    .list_x{
        display: block;
        position: absolute;
        top: 10px;
        left: 10px;
        text-decoration: none;
        cursor: pointer;
        font-size: 20;
        color: #fff;
        background-color: #000;
        border-radius: 50%;
        width: 30px;
        height: 30px;
        display: flex;
        justify-content: center;
        align-items: center;
        
    
    }

    

    .list {
        width: 100%;
        max-width: 450px;
        position: fixed;
        right: 0;
        top: 100px;
        bottom: 0;
        display: flex;
        flex-direction: column;
        justify-content: space-evenly;
        align-items: center;
        transform: translate(100%);
        transition: transform .5s;
        z-index: 999;
        background-image: linear-gradient(#dfdfdf, #ffffff);
        border-radius: 5px;

    }

    .list--show {
        transform: translate(0);
    }

    /*------------MAIN--------------*/
    /*.slider {
        background-size: auto 100%;
        background-position: center 0px;
    }*/

    .slider {
        height: 350px;
        overflow: hidden;
        display: flex;
        align-items: center;
        background: #284976;
    }
    .slider img{
        margin-top: 0;
        height: auto;
    }


    .main_container {
        display: flex;
        flex-direction: column;
        justify-content: space-evenly;
        align-items: center;

    }

    .box_producto{
        width: 90%;
    }

    #empresa{
        background-repeat:repeat-y;
    }

    .columna_empresa, .columna_contacto {
        width: 90%;
        margin-top: 0px;
    }
    
    .columna_contacto{
        width: 100%;
        padding: 0px;
    }
    .columna_contacto img{
        display: none;
    }
    .columna_contacto iframe{
        margin-top: 20px;
    }


    /*-------------FOOTER---------*/

    .pie_footer {
        margin-top: 20px;
    }

    .datos_footer {
        width: 80%;
        padding-bottom: 0px;
        min-height: 150px;
    }
    
    .datos_footer img {
        width: 30%;
    }
}